
XIncludeFile "gdiplus.pbi"

If OpenWindow(0, 0, 0, 640, 480, "GdiPlus 1.0", #PB_Window_SystemMenu|#PB_Window_ScreenCentered) 
  
  *token = Gdiplus_New()
  
  color = MakeColor(255,192,192,192)
  
  GdipCreateFromHWND(WindowID(0), @*gfx)
  GdipCreateBitmapFromFile("GDIPlusData\MultiFrame.tif", @*image)
  
  Repeat
    Select WaitWindowEvent(0)
      Case #PB_Event_CloseWindow
        Break
      Case #PB_Event_Repaint
        GdipImageGetFrameCount(*image, ?MultiPageGUID, @count)
        For i = 0 To count -1
          GdipGraphicsClear(*gfx, color)
          GdipImageSelectActiveFrame(*image, ?MultiPageGUID, i)
          GdipDrawImageI(*gfx, *image, x, y)
          Delay(250)
        Next
        GdipGraphicsClear(*gfx, color)
    EndSelect  
  ForEver
  
  GdipDeleteGraphics(*gfx)
  GdipDisposeImage(*image)
  GdiplusShutdown(*token)
  
EndIf 

DataSection
  MultiPageGUID:
  Data.l $7462DC86
  Data.w $6180, $4C7E
  Data.b $8E, $3F, $EE, $73, $33, $A7, $A4, $83
EndDataSection

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 22
; Folding = -