
XIncludeFile "gdiplus.pbi"

Define *token, *gfx, *img1, *img2, width.l, height.l

If OpenWindow(0, 0, 0, 640, 480, "GdiPlus 1.0", #PB_Window_SystemMenu|#PB_Window_ScreenCentered) 
  
  *token = Gdiplus_New()
  
  GdipCreateBitmapFromFile("GDIPlusData\1.wmf", @*img1)
  GdipCreateBitmapFromFile("GDIPlusData\eisbaer.jpg", @*img2)
  
  If *img1 And *img2
    
    GdipGetImageWidth(*img1, @width)
    GdipGetImageHeight(*img1, @height)
    
    GdipCreateFromHWND(WindowID(0), @*gfx)
    
    Repeat
      
      Select WaitWindowEvent()
        
        Case #WM_MOUSEMOVE
          GdipDrawImageI(*gfx, *img2, 0, 0)
          GdipDrawImageI(*gfx, *img1, WindowMouseX(0)-width/2, WindowMouseY(0)-height/2)
          
        Case #WM_KEYDOWN
          GdipImageRotateFlip(*img1, #Rotate90FlipNone)
          
        Case #PB_Event_CloseWindow
          Break
          
      EndSelect
      
    ForEver
    
    GdipDisposeImage(*img2)
    GdipDisposeImage(*img1)
    GdipDeleteGraphics(*gfx)
    
  EndIf
  
  GdiplusShutdown(*token)
  
EndIf

; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 18
; Folding = -
; DisableDebugger